/* Fichier de création des informations de la BDD */

/* Suppression des vues si elles existent */

/* Suppression des tables si elles existent */

drop table if exists utilisateur ;
drop table if exists creneau ;
drop table if exists banc ;
drop table if exists equipement ;
drop table if exists reservation ;

/* Creation des tables pour l'interface Web */

create table utilisateur
	(LOGIN char(8) PRIMARY KEY,
	 MDP char(20));

create table creneau
	(JOUR char(10) PRIMARY KEY);

create table banc
	(NUMERO int PRIMARY KEY);

create table equipement
	(num int REFERENCES banc,
	 IP char(15) PRIMARY KEY,
	 NOM char(50),
	 TYPE char(30));

create table reservation
	(reserve int REFERENCES banc,
	 moment char(10) REFERENCES creneau,
	 personne char(8) REFERENCES utilisateur,
	 HEUREDEBUT char(5),
	 HEUREFIN char(5),
	 /*UNIQUE(moment,HEUREDEBUT),*/
	 PRIMARY KEY(reserve,moment,HEUREDEBUT));

/* Insertions des donnees dans la BDD */

insert into utilisateur values ('lwadbled','Louis');

/* insert into creneau values ('01/12/2021'); */

insert into banc values (1);

/* Creation des vues pour faciliter l'utilisation de la BDD sur l'interface Web */
